Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## groovy.lang
[Java] Interface GroovyResourceLoader

    public interface GroovyResourceLoader

Allows frameworks that integrate with Groovy to determine how Groovy files are resolved.

Authors:
  Steven Devijver

Method Summary
`java.net.URL` | `loadGroovySource(java.lang.String filename)` Loads a Groovy source file given its name.

Method Detail

### loadGroovySource

    public java.net.URL loadGroovySource(java.lang.String filename)

  Loads a Groovy source file given its name.
  throws:
    java.net.MalformedURLException if the URL is invalid
  Parameters:
    `filename` - name of the file
  Returns:
    a URL

Groovy Documentation